#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie();

    string x;
    string y;
    cin >> x >> y;
    string broj;
    int mini = min(x.length(), y.length());
    if (mini == x.length())
    {
        broj += y.substr(0, y.length() - mini);
        y = y.substr(y.length() - mini, mini);
    }
    else
    {
        broj += x.substr(0, x.length() - mini);
        x = x.substr(x.length() - mini, mini);
    }

    int i = 0;
    while(i < mini)
    {
        if (x[i] > y[i])
        {
            broj += x[i];
            i++;

        }
        else if (x[i] < y[i])
        {
            broj += y[i];
            i++;
        }
        else
        {
            broj += x[i];
            broj += x[i];
            i++;
        }
    }

    cout << broj << endl;

    return 0;
}